--[[
--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

Centralized repository for GroupPix URLs so we can change it as needed for new
milestone server deployments.

--------------------------------------------------------------------------------

@author tdonahue 2013-07-28

------------------------------------------------------------------------------]]

local KSPrefs = require 'KSPrefs'

--------------------------------------------------------------------------------

local DISTRIBUTION = _G.DISTRIBUTION

local baseServerUrl 

if DISTRIBUTION then
	baseServerUrl = 'https://gpix.adbervl.com'
else
    KSPrefs.prefB 'ozServerOverrideUrl':mapB( function( url )
        if url and url:lower():find("adbecrsl") then
            baseServerUrl = 'https://gpix.adbervl.com'
        else
            baseServerUrl = 'https://gpix.oznext.com'
        end
    end )
end

--debug.print( "GroupPixServerUrls is using GroupPix server url:", baseServerUrl )

return {
	baseServerUrl = baseServerUrl,
	pinsUrl = string.format( '%s/v1/pins', baseServerUrl ),
}
