--[[----------------------------------------------------------------------------

KSCommandManagerTest.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author rseeler 2013-01-23

------------------------------------------------------------------------------]]

local WFPlatformInfo = require 'WFPlatformInfo'
local KSCommandManager = require 'KSCommandManager'
local KSReactive = require 'KSReactive'

--------------------------------------------------------------------------------

local KSCommandManagerTest = {}

--------------------------------------------------------------------------------

--------------------------------------------------------------------------------

function KSCommandManagerTest.testCommandManager()
	-- FIXME_WINRT:
	if not WFPlatformInfo.isWindows then
		KSCommandManager.registerCommand( "TestCommandNoExecute",
		
			-- execute function
			function()
				debug.print( "TestCommandNoExecute executed" )
			end,
			
			-- canExecute
			KSReactive.constantB( false )
		)
		assert( KSCommandManager.isCommandRegistered( "TestCommandNoExecute"), "TestCommandNoExecute should be registered." )
		assert( not KSCommandManager.canExecuteCommand( "TestCommandNoExecute" ), "TestCommandNoExecute should not be executable." )
		
		KSCommandManager.registerCommand( "TestCommandExecute",
		
			-- execute function
			function()
				debug.print( "TestCommandExecute executed" )
			end,
			
			-- canExecute
			KSReactive.constantB( true )
		)
		assert( KSCommandManager.isCommandRegistered( "TestCommandExecute"), "TestCommandExecute should be registered." )
		assert( KSCommandManager.canExecuteCommand( "TestCommandExecute" ), "TestCommandExecute should be executable." )
		KSCommandManager.executeCommand( "TestCommandExecute" )
		
	end
end

return KSCommandManagerTest
