--[[----------------------------------------------------------------------------

KSDeviceUtilsTest.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author rseeler 2012-12-14

------------------------------------------------------------------------------]]

local WFPlatformInfo = require 'WFPlatformInfo'
local KSDeviceUtils = require 'KSDeviceUtils'

--------------------------------------------------------------------------------

local KSDeviceUtilsTest = {}

--------------------------------------------------------------------------------

--------------------------------------------------------------------------------

function KSDeviceUtilsTest.testDeviceName()

	-- FIXME_WINRT:
	if not WFPlatformInfo.isWindows then
		local deviceName = KSDeviceUtils.deviceName()
		debug.print( "deviceName is ", deviceName)
	
		assert( deviceName, "deviceName failed" )
	end
end

--------------------------------------------------------------------------------

function KSDeviceUtilsTest.testMacAddress()

	-- FIXME_WINRT:
	if not WFPlatformInfo.isWindows then
		local macAddress = KSDeviceUtils.macAddress()
		debug.print( "macAddress is ", macAddress)
	
		assert( macAddress, "macAddress failed, make sure WiFi is enabled on your device" )
	end
end

return KSDeviceUtilsTest
