--[[----------------------------------------------------------------------------

KSDirectoryEnumerator.lua

Jan 2013
Andrew Rahn

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author arahn 2013-01-03

------------------------------------------------------------------------------]]


	-- core.os
local KSDirectoryEnumeratorImp = require 'KSDirectoryEnumeratorImp'

--============================================================================--

-- @mark KSDirectoryEnumerator namespace

--[[!

\class KSDirectoryEnumerator

\brief This namespace provides utilities for iterating over all of the files
	in a folder.  It is not available in iOS.

]]--


local KSDirectoryEnumerator = {}

--------------------------------------------------------------------------------
--[[!
	Retrieves the next file or subfolder from a folder enumerator.
	
	\param enumerator The enumerator object for the parent folder.

	\return (string) The file or subfolder name, or nil if there are no more files or subfolders.
]]--

function KSDirectoryEnumerator.next( enumerator )
	-- WFArguments.check( "KSDirectoryEnumerator" )
	-- This wrapper exists only for documentation purposes; real implementation
	-- comes from native code (see "Real implementation" below).
end

--------------------------------------------------------------------------------
--[[!
	Retrieves the next file from a folder enumerator, but skips subfolders.
	
	\param enumerator The enumerator object for the parent folder.

	\return (string) The file name, or nil if there are no more files.
]]--

function KSDirectoryEnumerator.nextFile( enumerator )
	-- WFArguments.check( "KSDirectoryEnumerator" )
	-- This wrapper exists only for documentation purposes; real implementation
	-- comes from native code (see "Real implementation" below).
end

--------------------------------------------------------------------------------
--[[!
	Creates a folder enumerator.
	
	\param directoryPath The full path to the folder.
	\param skipHidden (boolean) True to skip hidden files.  In Mac OS, this also means
		that the enumerator does not look inside packages
		(NSDirectoryEnumerationSkipsPackageDescendants).

	\return (KSDirectoryEnumerator) The enumerator object.
]]--

function KSDirectoryEnumerator.create( directoryPath, skipHidden )
	-- WFArguments.check( "string", "boolean" )
	-- This wrapper exists only for documentation purposes; real implementation
	-- comes from native code (see "Real implementation" below).
end

--==============================================================================
-- @mark The Real implementation
--==============================================================================

KSDirectoryEnumerator = KSDirectoryEnumeratorImp

--==============================================================================

return KSDirectoryEnumerator
