--[[----------------------------------------------------------------------------

KSLuaGlobalsProtectionTest.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2010 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author scouten 2010-10-27

@reviewed mhamburg 2010-11-01
@reviewed epoley 2010-11-02
@reviewed erwright 2010-11-04

------------------------------------------------------------------------------]]

local KSLuaGlobalsProtectionTest = {}

--------------------------------------------------------------------------------

function KSLuaGlobalsProtectionTest.testReadDisallowed()

	local success, message = pcall( function()
	
		local x = _G.xyz -- should fail
		return x
	
	end )

	assert( not success )
	assert( message:find( "attempt to read undefined global variable xyz disallowed" ) )

end

--------------------------------------------------------------------------------

function KSLuaGlobalsProtectionTest.testWriteDisallowed()

	local success, message = pcall( function()
	
		_G.abc = "abc" -- should fail
	
	end )

	assert( not success )
	assert( message:find( "attempt to write undefined global variable abc disallowed" ) )

end

--------------------------------------------------------------------------------

return KSLuaGlobalsProtectionTest
