--[[----------------------------------------------------------------------------

KSRecursiveFilesIterator.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

local KSDirectoryEnumerator = require 'KSDirectoryEnumerator'
	
local KSDirectoryEnumerator_create = assert( KSDirectoryEnumerator.create )
local KSDirectoryEnumerator_nextFile = assert( KSDirectoryEnumerator.nextFile )

-- iterator that returns all files that are anywhere inside
-- the passed in dirPath (including files that are inside directories that
-- are in the dirPath, and so on, recursively). No directory names will be returned.

return function( dirPath, optSkipHidden )

	return KSDirectoryEnumerator_nextFile, KSDirectoryEnumerator_create( dirPath, optSkipHidden )
			-- nextFile, unlike next, does not return directories, so we
			-- do not need to perform that check here.
			
end
