--[[----------------------------------------------------------------------------

OzCatCollectionQueriesTestData.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

-- Test data for OzCatCollectionQueriesTest.lua 

-- #ASSETS = 5
-- #ALBUMS = 1
-- #EVENTS = 2
-- #ALBUM_ASSET = 2

local testData = {

	docs = {
		{
			_docId = '6a1fc6dd5796449abc349a93164335b6',
			_docType = 'asset',
			_serverProvidedMetadata = {
				created = "2013-04-05T19:10:32.650620Z",
				link_templates = {
					["/rels/child_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5/children/{revision_id}",
					},
					["/rels/proxy_generate"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5/proxies/{proxy_id}",
					},
				},
				links = {
					["/rels/first_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5",
					},
					["/rels/latest_revision"] = {
						created_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5",
					},
					["/rels/master"] = {
						content_type = "image/jpeg",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5/master",
					},
					["/rels/rendition_type/1024"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5/renditions/c352c66630f54db1a080022f2a547650",
					},
					["/rels/rendition_type/144h"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5/renditions/cb7e5a63536249b88e6d1cd22a3dcaa7",
					},
					["/rels/rendition_type/thumbnail2x"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6/revisions/9df463cd5f25480b8e025d230537c2f5/renditions/ee51f94d21744169a50c16b200f64dcc",
					},
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/6a1fc6dd5796449abc349a93164335b6",
					},
				},
				subtype = "jpeg",
				type = "asset",
				updated = "2013-04-05T19:12:35.007635Z",
			},
			captureDate = "2013-01-30T18:10:29",
			changedAtTime = "2013-04-05T12:10:31.477",
			changedOnDevice = "Neha Gautam iPhone 5",
			height = 1440,
			importSource = {
				fileCreationDate = "2013-01-30T18:10:29",
				fileName = "IMG_0710.JPG",
				filePath = "assets-library://asset/asset.JPG?id=3EE6FE95-B130-44C4-AB25-343AD64B65EF&ext=JPG",
				fileSize = 287370,
				folder = "assets-library://asset",
				folderPath = "assets-library://asset",
				importTimestamp = "2013-04-05T12:10:31.340",
				importedBy = "1023df59ef5441dbac5f0310984925ae",
				importedOnDevice = "Neha Gautam iPhone 5",
				sha256 = "61ea839f9005bca0cf892f9319381a6913296906d46e975a6a1931e10505b093",
			},
			originalCaptureDate = "2013-01-30T18:10:29",
			version = 1,
			width = 1080,
		},
		{
			_docId = '089422de03444fd29753e96b2e47f88b',
			_docType = 'asset',
			_serverProvidedMetadata = {
				created = "2013-04-05T19:10:32.698794Z",
				link_templates = {
					["/rels/child_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8/children/{revision_id}",
					},
					["/rels/proxy_generate"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8/proxies/{proxy_id}",
					},
				},
				links = {
					["/rels/first_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8",
					},
					["/rels/latest_revision"] = {
						created_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8",
					},
					["/rels/master"] = {
						content_type = "image/jpeg",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8/master",
					},
					["/rels/rendition_type/1024"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8/renditions/13b262c27e1a41c2828c0e8bf863739f",
					},
					["/rels/rendition_type/144h"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8/renditions/35209b60b700497287541662df5b7474",
					},
					["/rels/rendition_type/thumbnail2x"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b/revisions/2ad0426f9e7242b69fcb9bd8588957d8/renditions/500ae65ac229461e8658a0a036114d06",
					},
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b",
					},
				},
				subtype = "jpeg",
				type = "asset",
				updated = "2013-04-05T19:12:44.644466Z",
			},
			captureDate = "2013-01-30T18:10:29",
			changedAtTime = "2013-04-05T12:10:32.113",
			changedOnDevice = "Neha Gautam iPhone 5",
			height = 1440,
			importSource = {
				fileCreationDate = "2013-01-30T18:10:29",
				fileName = "IMG_0711.JPG",
				filePath = "assets-library://asset/asset.JPG?id=8F7063A9-0338-4F49-B94E-3FAAEA50C7B6&ext=JPG",
				fileSize = 269903,
				folder = "assets-library://asset",
				folderPath = "assets-library://asset",
				importTimestamp = "2013-04-05T12:10:31.924",
				importedBy = "1023df59ef5441dbac5f0310984925ae",
				importedOnDevice = "Neha Gautam iPhone 5",
				sha256 = "f6c37b1218fec73f877e3e71e22a8793104eae2861c46f51782787a3b31d1ec0",
			},
			originalCaptureDate = "2013-01-30T18:10:29",
			version = 1,
			width = 1080,
		},
		{
			_docId = '7c3ca81508d841b28f57ed83893c6ade',
			_docType = 'asset',
			_serverProvidedMetadata = {
				created = "2013-04-05T19:10:56.203456Z",
				link_templates = {
					["/rels/child_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/7cd2aff046e443669dc8782e015bb3d6/children/{revision_id}",
					},
					["/rels/proxy_generate"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/9c609354c3e242f8b2d895b00eea8289/proxies/{proxy_id}",
					},
				},
				links = {
					["/rels/first_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/9c609354c3e242f8b2d895b00eea8289",
					},
					["/rels/latest_revision"] = {
						created_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/7cd2aff046e443669dc8782e015bb3d6",
					},
					["/rels/master"] = {
						content_type = "image/jpeg",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/9c609354c3e242f8b2d895b00eea8289/master",
					},
					["/rels/rendition_type/1024"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/9c609354c3e242f8b2d895b00eea8289/renditions/9266b7b4cfe145e1872ce99d04d64375",
					},
					["/rels/rendition_type/144h"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/9c609354c3e242f8b2d895b00eea8289/renditions/9ce748c2964b43d9bcdb8a7238af217b",
					},
					["/rels/rendition_type/thumbnail2x"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade/revisions/9c609354c3e242f8b2d895b00eea8289/renditions/25bf8d9858684f6ebb126308300dc9ec",
					},
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade",
					},
				},
				subtype = "jpeg",
				type = "asset",
				updated = "2013-04-09T21:52:49.375555Z",
			},
			captureDate = "2013-02-06T18:55:46",
			changedAtTime = "2013-04-05T12:10:33.535",
			changedOnDevice = "Neha Gautam iPhone 5",
			eventName = "Lala",
			eventTimestamp = "2013-04-09T21:52:48.768Z",
			height = 3264,
			importSource = {
				fileCreationDate = "2013-02-06T18:55:46",
				fileName = "IMG_0712.JPG",
				filePath = "assets-library://asset/asset.JPG?id=7A093E29-AA52-40C7-BAA0-A9F1E064BA50&ext=JPG",
				fileSize = 1470366,
				folder = "assets-library://asset",
				folderPath = "assets-library://asset",
				importTimestamp = "2013-04-05T12:10:33.046",
				importedBy = "1023df59ef5441dbac5f0310984925ae",
				importedOnDevice = "Neha Gautam iPhone 5",
				sha256 = "a9cdba466b2eb55dc19e4edf811a72b3e826000784edbd0f53fe88f88f7f588d",
			},
			location = {
				altitude = 28,
				latitude = 37.330667,
				longitude = -121.895167,
			},
			originalCaptureDate = "2013-02-06T18:55:46",
			version = 1,
			width = 2448,
		},
		{
			_docId = 'ee69c819bf5f49c88d51449254f0d0b5',
			_docType = 'album',
			created = "2013-04-09T21:53:28.555137Z",
			created_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
			id = "urn:revel:catalog:54c5a14666104aad892f1505e44b6a78:album:ee69c819bf5f49c88d51449254f0d0b5",
			links = {
				["/rels/album_assets"] = {
					href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/albums/ee69c819bf5f49c88d51449254f0d0b5/assets",
				},
				["self"] = {
					href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/albums/ee69c819bf5f49c88d51449254f0d0b5",
				},
			},
			name = "Test Album",
			type = "album",
			updated = "2013-04-09T21:53:36.464167Z",
		},
		{
			_docId = '91e2b92c616e4867971d22a380b246d7',
			_docType = 'album_asset',
			added_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
			album = {
				_id = "ee69c819bf5f49c88d51449254f0d0b5",
				id = "urn:revel:catalog:54c5a14666104aad892f1505e44b6a78:album:ee69c819bf5f49c88d51449254f0d0b5",
				links = {
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/albums/ee69c819bf5f49c88d51449254f0d0b5",
					},
				},
			},
			asset = {
				_id = "7c3ca81508d841b28f57ed83893c6ade",
				id = "urn:carousel:catalog:54c5a14666104aad892f1505e44b6a78:asset:7c3ca81508d841b28f57ed83893c6ade",
				links = {
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/7c3ca81508d841b28f57ed83893c6ade",
					},
				},
			},
			created = "2013-04-09T21:53:52.400898Z",
			id = "urn:revel:catalog:54c5a14666104aad892f1505e44b6a78:album:ee69c819bf5f49c88d51449254f0d0b5:asset:7c3ca81508d841b28f57ed83893c6ade",
			links = {
				["self"] = {
					href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/albums/ee69c819bf5f49c88d51449254f0d0b5/assets/7c3ca81508d841b28f57ed83893c6ade",
				},
			},
			type = "album_asset",
			updated = "2013-04-09T21:53:52.400898Z",
		},
		{
			_docId = '90b49fc134434fddb32d7b193e72476c',
			_docType = 'asset',
			_serverProvidedMetadata = {
				created = "2013-04-09T21:58:07.478628Z",
				link_templates = {
					["/rels/child_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/6662d184908be9be4ddb650193f0a756/children/{revision_id}",
					},
					["/rels/proxy_generate"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/bb8cca281b41415fb93440bd160beb2e/proxies/{proxy_id}",
					},
				},
				links = {
					["/rels/first_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/bb8cca281b41415fb93440bd160beb2e",
					},
					["/rels/latest_revision"] = {
						created_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/6662d184908be9be4ddb650193f0a756",
					},
					["/rels/master"] = {
						content_type = "image/jpeg",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/bb8cca281b41415fb93440bd160beb2e/master",
					},
					["/rels/rendition_type/1024"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/bb8cca281b41415fb93440bd160beb2e/renditions/4dcc148b82fa43e4ace751af58163eea",
					},
					["/rels/rendition_type/144h"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/bb8cca281b41415fb93440bd160beb2e/renditions/bd690bac68ee49dfa7bf77ed38884e1b",
					},
					["/rels/rendition_type/thumbnail2x"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c/revisions/bb8cca281b41415fb93440bd160beb2e/renditions/44b8fc336fca4b81bada9a7231a636ce",
					},
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/90b49fc134434fddb32d7b193e72476c",
					},
				},
				subtype = "jpeg",
				type = "asset",
				updated = "2013-04-09T21:58:10.440228Z",
			},
			captureDate = "2012-12-12T14:29:43",
			changedAtTime = "2013-04-09T14:58:08.010",
			changedOnDevice = "Neha Gautam iPhone 5",
			height = 3264,
			importSource = {
				fileCreationDate = "2012-12-12T14:29:43",
				fileName = "IMG_0685.JPG",
				filePath = "assets-library://asset/asset.JPG?id=0785DA30-4A4B-42EA-83C8-E2A356C9876D&ext=JPG",
				fileSize = 1904503,
				folder = "assets-library://asset",
				folderPath = "assets-library://asset",
				importTimestamp = "2013-04-09T14:58:07.824",
				importedBy = "1023df59ef5441dbac5f0310984925ae",
				importedOnDevice = "Neha Gautam iPhone 5",
				sha256 = "c9d4f4dcee299ebc9f4db72742baff80ef01ee2fa4d1a6c527c8f573c0cf856c",
			},
			location = {
				altitude = 29.2,
				latitude = 37.3305,
				longitude = -121.895167,
			},
			originalCaptureDate = "2012-12-12T14:29:43",
			version = 1,
			width = 2448,
			keywords = {'test'},
		
		},
		{
			_docId = 'cdc7da3f51d0431b80dd78dacf862268',
			_docType = 'asset',
			_serverProvidedMetadata = {
				created = "2013-04-05T19:10:56.240799Z",
				link_templates = {
					["/rels/child_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/4985ec6c1a5e4b05ae1dab38701defd0/children/{revision_id}",
					},
					["/rels/proxy_generate"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/899db6b1c38d4d35a881e1e1f0babc2d/proxies/{proxy_id}",
					},
				},
				links = {
					["/rels/first_revision"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/899db6b1c38d4d35a881e1e1f0babc2d",
					},
					["/rels/latest_revision"] = {
						created_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/4985ec6c1a5e4b05ae1dab38701defd0",
					},
					["/rels/master"] = {
						content_type = "image/jpeg",
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/899db6b1c38d4d35a881e1e1f0babc2d/master",
					},
					["/rels/rendition_type/1024"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/899db6b1c38d4d35a881e1e1f0babc2d/renditions/e9bfb5a1d12540cc912fe0ad24a895ec",
					},
					["/rels/rendition_type/144h"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/899db6b1c38d4d35a881e1e1f0babc2d/renditions/498a255cb3174687b311fc576cd9b0a7",
					},
					["/rels/rendition_type/thumbnail2x"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268/revisions/899db6b1c38d4d35a881e1e1f0babc2d/renditions/619cd0a650444df383abc3a06ef066a2",
					},
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/cdc7da3f51d0431b80dd78dacf862268",
					},
				},
				subtype = "jpeg",
				type = "asset",
				updated = "2013-04-09T21:59:02.745268Z",
			},
			captureDate = "2011-11-25T11:57:59",
			changedAtTime = "2013-04-05T12:10:34.560",
			changedOnDevice = "Neha Gautam iPhone 5",
			eventName = "Soup",
			eventTimestamp = "2013-04-09T21:59:02.043Z",
			height = 3264,
			importSource = {
				fileCreationDate = "2011-11-25T11:57:59",
				fileName = "IMG_0713.JPG",
				filePath = "assets-library://asset/asset.JPG?id=F4C1518C-CDC1-450B-A3C9-6A70D731B945&ext=JPG",
				fileSize = 1692734,
				folder = "assets-library://asset",
				folderPath = "assets-library://asset",
				importTimestamp = "2013-04-05T12:10:34.265",
				importedBy = "1023df59ef5441dbac5f0310984925ae",
				importedOnDevice = "Neha Gautam iPhone 5",
				sha256 = "3308c6771748c7874883904e4b39444848e577d84256192c9ff641438bc91d9e",
			},
			location = {
				altitude = 0,
				latitude = 47.589667,
				longitude = -122.236167,
			},
			originalCaptureDate = "2011-11-25T11:57:59",
			version = 1,
			width = 2448,
			keywords = {'test'},
		},
		{
			_docId = '04f180ccab664781a3c95a992666f69f',
			_docType = 'album_asset',
			added_by = "urn:carousel:account:1023df59ef5441dbac5f0310984925ae",
			album = {
				_id = "ee69c819bf5f49c88d51449254f0d0b5",
				id = "urn:revel:catalog:54c5a14666104aad892f1505e44b6a78:album:ee69c819bf5f49c88d51449254f0d0b5",
				links = {
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/albums/ee69c819bf5f49c88d51449254f0d0b5",
					},
				},
			},
			asset = {
				_id = "089422de03444fd29753e96b2e47f88b",
				id = "urn:carousel:catalog:54c5a14666104aad892f1505e44b6a78:asset:089422de03444fd29753e96b2e47f88b",
				links = {
					["self"] = {
						href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/assets/089422de03444fd29753e96b2e47f88b",
					},
				},
			},
			created = "2013-04-09T21:59:14.580163Z",
			id = "urn:revel:catalog:54c5a14666104aad892f1505e44b6a78:album:ee69c819bf5f49c88d51449254f0d0b5:asset:089422de03444fd29753e96b2e47f88b",
			links = {
				["self"] = {
					href = "/v1.0/catalogs/54c5a14666104aad892f1505e44b6a78/albums/ee69c819bf5f49c88d51449254f0d0b5/assets/089422de03444fd29753e96b2e47f88b",
				},
			},
			type = "album_asset",
			updated = "2013-04-09T21:59:14.580163Z",
		}, 
	}
}

return testData