--[[----------------------------------------------------------------------------

OzCatFields.lua

@author arahn 2012-08-30

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

return {

	_didAddLocalImportCollection = false,

	_catalogId = false,
		-- (string) catalog ID as known to the Oz system (UUID)
	
	_ozUser = false,
		-- (OzUser) user who opened this catalog
	
	_ozUserId = false,
		-- (string) user's UUID in Oz
	
	_docStore = false,
		-- (OzDocStore)
	
	_indexStore = false,
		-- (WFIndexStore)
	
	_originalsFolderDocuments = false,
		-- (string) path to standard "Originals" folder in Pictures
		
	_originalsFolderCaches = false,
		-- (string) path to the standard 'Caches' directory
	
	_myFavoriteKey = false,
		-- (string) doc field key for favorites[ my user name ]

	_collectionInfoBCache = false,
		-- fully weak cache of collection info behaviors (and root info)
		
	_nameB = false,
		-- (B< string >) what is the user-visible name of this catalog?

	_collaboratorQuotaB = false,
		-- (B< number >) the collaborator quota for this catalog

	_collaboratorsB = false,
		-- (B< table >) the list of collaborators for this catalog

	_anyPhotoHasConflictB = false,
		-- (B< boolean >) true if any photo in the catalog has a conflict
	
	_catalogIsEmptyB = false,
		-- (B< boolean >) true if catalog is empty (lazy instantiated)
	
	_canAccessB = false,
		-- (B< boolean >) whether the user is allowed to access the catalog
				
	_catalogOwnerIdP = false,
		-- (P< string >) the owner for this catalog
	
	_catalogOwnerUser = false,
		-- (OzUser) user who owns this catalog
	
	_catalogUsersB = false,
		-- (B< table >) the list of users for this catalog

	_isDeletingCatalog = false,
		-- (boolean) true if we're processing a deleteLocalCatalogAndAssetsP request

	_cacheEpochB = false,
		-- (B< number >) current epoch ID and the size of all content in it (lazy instantiated)

	_itmsLinkB = false,
		-- (B< number >) returns the ITMS link returned by Oz in case of an force upgrade error

	_hasBeenDeletedB = false,
		-- (B< boolean >) has this catalog been deleted?
		
	_accessErrorB = false,
		-- (B< boolean >) has there been an access error through direct requests to Oz?

	_refsToThisCatalog = false,
		-- (fully weak table)
			-- key: (OzCatalogServiceRef)
			-- value: true

	_downloadOriginalsB = false,
		-- (B< boolean >) should we be downloading originals?
		
	_currentAlbumNameB = false,
		-- (B< string or nil >) the name of the currently selected album, if any.
		
	_smartAlbumsB = false,
		-- (B< table >) the list of smartAlbums for this catalog.

	_albumsDateSortedB = false,
		-- (B< table >) the list of albums for this catalog, sorted by date.
		
	_albumsCaptureDateSortedB = false,
		-- (B< table >) the list of albums for this catalog, sorted by 
		-- most recent captureDate(of assets in each album).
		
    _favoriteSortOrder = false,
         -- (< boolean >) current sort order of favotites.
         
	 _photoFilterUserID = false,
        -- (< string >) used to toggle all photos and my photos.

    _tornadoCollectionInfoB = false,
        -- (B< table > ) the list of assets sorted by favorites or date for this catalog.
    
    _favoriteSortOrderCollectionInfoB = false,
        -- (B< table > ) the list of assets sorted by favorites or date for this catalog.

	_albumMonitorB = false,
	
	_selectedPhotosCountB = false,
		-- (B< number >) how many photos are selected in this catalog? (lazy instantiated)
	
	_hasAnySelectedPhotosB = false,
		-- (B< boolean >) are there any photos selected in this catalog? (lazy instantiated)
	
	_hasExactlyOneSelectedPhotoB = false,
		-- (B< boolean >) is exactly one photo selected in this catalog? (lazy instantiated)
	
	_nPhotosAdded = 0,
		-- (number) how many photos have been added in this app session?

	_syncDisabledBy = false,
		-- (false | string) if sync is disabled, stack trace from where that happened

	_ozHostIsReachableB = false,
		-- (B< string >) reachability status for Oz host

	_ozHostReachabilityLog = false,
		-- (table) array of most recent reachability status notifications

	_ownerUserBeingWatched = false,
		-- (boolean) true if we've set up a watcher for the catalog owner user
		
	_activityInfo = false,
		-- (table) a cache of info around ongoing activity work
	
}
