--[[----------------------------------------------------------------------------

OzDocStoreEventProcessorImp.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

This file is considered an implementation detail of the Oz doc store service.
Please see OzDocStore.lua for the public API.

--------------------------------------------------------------------------------

@author scouten 2011-02-07

------------------------------------------------------------------------------]]

	-- oz.doc_store
local OzDocStoreImp = require 'OzDocStoreImp'


--============================================================================--

-- @mark Spin up doc store imp for this event processor

--------------------------------------------------------------------------------

local initMessageProcessor = function( catalogId )

	if type( catalogId ) ~= 'string' then
		error( string.format( "OzDocStoreEventProcessorImp: started with invalid catalogId = %s", tostring( catalogId ) ) )
	end
	
	if catalogId:sub( 1, 8 ) == ':memory:' then
		catalogId = ':memory:'
	elseif catalogId:sub( 1, 6 ) == ':temp:' then
		catalogId = ':temp:'
	end
	
	OzDocStoreImp( catalogId ):addEventProcessorMessageHandlers()
	
	-- FIXME [scouten 2011-04-21]: This file is getting small enough that maybe
	-- I should just fold it in to OzDocStoreImp.lua.
end

--==============================================================================

return {
	initMessageProcessor = initMessageProcessor,
}
