--[[----------------------------------------------------------------------------

TestAspectRatio.lua

@author scouten 2011-03-28

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

Simple test for WFIndexStore.

------------------------------------------------------------------------------]]

	-- wichitafoundation.oz_client.index_store
local WFIndexStoreImp = require 'WFIndexStoreImp'
local WFIndexStoreSchema = require 'WFIndexStoreSchema'


--============================================================================--

local indexStoreSchema = WFIndexStoreSchema()

--------------------------------------------------------------------------------

indexStoreSchema:addTable {

	sql = [[CREATE TABLE aspectRatio( aspectRatio )]],

	map = function( docValue, emit )

		local width = docValue.width
		local height = docValue.height

		if type( width ) == 'number' and width > 0
			and type( height ) == 'number' and height > 0
		then
			emit( height / width )
		end
	
	end,

}

--------------------------------------------------------------------------------

return {
	initMessageProcessor = function( ... )
		WFIndexStoreImp.start( indexStoreSchema, ... )
	end,
}
