--[[----------------------------------------------------------------------------

TestKeywords.lua

@author scouten 2011-03-28

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

Simple test for WFIndexStore. Simulates keyword extraction.

------------------------------------------------------------------------------]]

	-- wichitafoundation.oz_client.index_store
local WFIndexStoreImp = require 'WFIndexStoreImp'
local WFIndexStoreSchema = require 'WFIndexStoreSchema'


--============================================================================--

local indexStoreSchema = WFIndexStoreSchema()

--------------------------------------------------------------------------------

indexStoreSchema:addTable {

	sql = [[CREATE TABLE keywords( keyword )]],

	--docType = 'asset',
		-- FIXME [scouten 2011-03-29]: Currently ignored by update system.

	--version = 1,
		-- FIXME [scouten 2011-03-29]: Currently ignored by update system.
		-- Will use this to cause the table to be rebuilt when functions
		-- called by map() are changed in a materially significant fashion.

	map = function( docValue, emit )

		local keywords = docValue.keywords
		
		if keywords then
		
			for keywordName in pairs( keywords ) do
				if keywordName ~= '_replace' then
					emit( keywordName )
				end
			end
		
		end
	
	end,

}

--------------------------------------------------------------------------------

return {

	initMessageProcessor = function( ... )
		WFIndexStoreImp.start( indexStoreSchema, ... )
	end

}
