--[[----------------------------------------------------------------------------

TestSchema1.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

This is an example of an event processor init script that sets up a database
service.

--------------------------------------------------------------------------------

@author scouten 2011-02-18

@reviewed erwright 2011-03-08

------------------------------------------------------------------------------]]

	-- services.database
local KSDatabaseImp = require 'KSDatabaseImp'


--============================================================================--

-- [scouten 2011-02-18]: This is just a snapshot of the current partition event
-- store schema used for testing the new database service code. It doesn't matter
-- if this keeps pace with the real schema.

local schema = KSDatabaseImp.makeSchema()

schema:addTable
	[[CREATE TABLE partitionEvents(
					localSequenceNumber INTEGER PRIMARY KEY AUTOINCREMENT,
					partitionId NOT NULL,
					eventId UNIQUE,
					eventClass NOT NULL,
					eventTimestamp NOT NULL,
					generatedLocally NOT NULL,
					userId,
					parentEventId,
					eventData,
					externalDataRef )]]
	:onConflict 'replace'

--------------------------------------------------------------------------------

KSDatabaseImp.startDatabaseWithSchema( schema, ... ) -- ... passes desired database path through
