--[[----------------------------------------------------------------------------

WFDocStoreMessageProcessor.lua

@author scouten 2013-04-02

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

Should only be accessed by WFDocStore.lua.

------------------------------------------------------------------------------]]

	-- WF.core.lua.threading
local WFRequestDispatcher = require 'WFRequestDispatcher'

	-- WF.oz_client.doc_store
local WFDocStoreImp = require 'WFDocStoreImp'


--------------------------------------------------------------------------------

local function initMessageProcessor( path )

	local docStoreImp = WFDocStoreImp( path )
	
	WFRequestDispatcher.onMessageDo {
		message = 'docValue',
		target = docStoreImp,
		onlyIfCallbackIsStillValid = true,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'docValueB',
		target = docStoreImp,
		onlyIfCallbackIsStillValid = true,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'setDocValue',
		target = docStoreImp,
	}

	WFRequestDispatcher.onMessageDo {
		message = 'applyOverlay',
		target = docStoreImp,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'copySlotToSlot',
		target = docStoreImp,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'quietlyDeleteSlot',
		target = docStoreImp,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'docChangeCounterB',
		target = docStoreImp,
		onlyIfCallbackIsStillValid = true,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'docChangeCounter',
		target = docStoreImp,
		onlyIfCallbackIsStillValid = true,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'changedDocs',
		target = docStoreImp,
		onlyIfCallbackIsStillValid = true,
	}
	
	WFRequestDispatcher.onMessageDo {
		message = 'DEBUG_dumpCoverage',
		target = docStoreImp,
	}
	
	WFRequestDispatcher.enableDiagnosticLogForRequestStats()

end

--------------------------------------------------------------------------------

return {
	initMessageProcessor = initMessageProcessor,
}
