--[[----------------------------------------------------------------------------

WFLoggerTest.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author rseeler 2013-01-09

------------------------------------------------------------------------------]]

local WFPlatformInfo = require 'WFPlatformInfo'
local WFLogger = require 'WFLogger' 'WFLoggerTest'

--------------------------------------------------------------------------------

local WFLoggerTest = {}

--------------------------------------------------------------------------------

--------------------------------------------------------------------------------

function WFLoggerTest.testFileLogging()
	-- FIXME_WINRT:
	if not WFPlatformInfo.isWindows then
		WFLogger:enable 'logfile'
		WFLogger:trace 'Test logfile trace'
		WFLogger:debug 'Test logfile debug'
		WFLogger:info 'Test logfile info'
		WFLogger:warn 'Test logfile warn'
		WFLogger:error 'Test logfile error'
		WFLogger:fatal 'Test logfile fatal'
		
		WFLogger:enable 'print'
		WFLogger:trace 'Test print trace'
		WFLogger:debug 'Test print debug'
		WFLogger:info 'Test print info'
		WFLogger:warn 'Test print warn'
		WFLogger:error 'Test print error'
		WFLogger:fatal 'Test print fatal'
	
		WFLogger:enable 'traceback'
		WFLogger:trace 'Test traceback trace'
		WFLogger:debug 'Test traceback debug'
		WFLogger:info 'Test traceback info'
		WFLogger:warn 'Test traceback warn'
		WFLogger:error 'Test traceback error'
		WFLogger:fatal 'Test traceback fatal'
	
		assert( 1, "Logging tests failed" )
	end
end

return WFLoggerTest
