--[[----------------------------------------------------------------------------

WFLuaTestRunner.lua

12/03/2012
arahn

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

local WFArguments = require "WFArguments"
local WFLuaTestRunner = {}

--==============================================================================
-- @mark WFLuaTestRunner class

--[[!
	\brief create a lua test runner for a particular lua file.
--]]
function WFLuaTestRunner.make( testSuiteName )
	WFArguments.check( 'string' )
	-- This function is implemented natively.  This stub exists for documentation
	-- purposes only.
end

--------------------------------------------------------------------------------

--[[!
	\brief list all the tests in the suite.
	
	\return array of test names
--]]
function WFLuaTestRunner:listTests( )
	WFArguments.check( 'WFLuaTestRunner' )
	-- This function is implemented natively.  This stub exists for documentation
	-- purposes only.
end

--------------------------------------------------------------------------------

--[[!
	\brief Prepare to run some tests.
	
--]]
function WFLuaTestRunner:setUp( )
	WFArguments.check( 'WFLuaTestRunner' )
	-- This function is implemented natively.  This stub exists for documentation
	-- purposes only.
end

--------------------------------------------------------------------------------

--[[!
	\brief Clean up after running some test(s).
	
--]]
function WFLuaTestRunner:tearDown( )
	WFArguments.check( 'WFLuaTestRunner' )
	-- This function is implemented natively.  This stub exists for documentation
	-- purposes only.
end

--------------------------------------------------------------------------------

--[[!
	\brief Run one test.
	
	\param testName the name of the test to run
	\return either, true, and the test log, OR nil, the failure message and the log.
--]]
function WFLuaTestRunner:runTest( testName )
	WFArguments.check( 'WFLuaTestRunner', 'string' )
	-- This function is implemented natively.  This stub exists for documentation
	-- purposes only.
end

--------------------------------------------------------------------------------

-- @mark native impl
local WFLuaTestRunner_imp = require "WFLuaTestRunner_imp"

-- Swap in the native implementation.
WFLuaTestRunner = WFLuaTestRunner and WFLuaTestRunner_imp

--==============================================================================

return WFLuaTestRunner
