--[[----------------------------------------------------------------------------

WFModelsTest_Server.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

local WFModelsTest_Server = {}

--------------------------------------------------------------------------------

local KSReactive = require 'KSReactive'

local WFRequestDispatcher = require 'WFRequestDispatcher'

local WFIdle = require 'WFIdle'

--------------------------------------------------------------------------------

WFRequestDispatcher.onMessage( 'not_this-message', function() end )

--------------------------------------------------------------------------------

function WFModelsTest_Server.simpleTest( x )

	return {
	
		valueB = KSReactive.variableB( x ),
		
		events = {
			echoUpper = function( self, y )
				self.valueB:set( y )
				WFIdle.onIdleDo( function()
					local valueB = self.valueB
					local x = valueB:valueNow()
					valueB:set( string.upper( x ) )
				end )
			end,
			echo = function( self, y )
				self.valueB:set( y )
			end,
		},
		
		models = {
			toUpper = function( self )
				return self.valueB:mapB( string.upper )
			end
		}
	
	}
	
end

--------------------------------------------------------------------------------

function WFModelsTest_Server.counter()

	local counter = 0
	
	local counterB = KSReactive.variableB( 0 )
	
	return {
	
		valueB = counterB:mapB( tostring ),
		
		models = {
			sub = function( self, x )
				counter = counter + 1
				counterB:set( counter )
				return {
					valueB = KSReactive.variableB( x ),
					events = {
						echo = function( self, y )
							self.valueB:set( y )
						end,
					},
					close = function()
						counter = counter - 1
						counterB:set( counter )
					end
				}
			end,
			
			subConstant = function( self, x )
				counter = counter + 1
				counterB:set( counter )
				return {
					valueB = KSReactive.constantB( x ),
					close = function()
						counter = counter - 1
						counterB:set( counter )
					end
				}
			end,
			
			promise = function( self, x )
				return require 'WFTimer' . afterDelayP( 0.25 ):mapDataP(
					function() return 'data', x end )
			end,
			
			resolvedPromise = function( self, x )
				return require 'KSPromises' . resolvedPromiseP( 'data', x )
			end,
			
		}
	
	}
	
end

--------------------------------------------------------------------------------

package.loaded[ "WFModelsTest_Server" ] = WFModelsTest_Server

--------------------------------------------------------------------------------
