--[[----------------------------------------------------------------------------

WFOzPurgeSettings.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@reviewed scouten 2012-05-14

------------------------------------------------------------------------------]]


--============================================================================--
--[[!
	\class WFOzPurgeSettings
	\brief This namespace provides access to the settings that control disk space management.
		Settings are currently hard-coded.
	
	\author Eric Scouten <scouten@adobe.com> 2012-05-14
--]]

-- @mark WFOzPurgeSettings namespace

local WFOzPurgeSettings = {}

local minimumSpaceInMB = 100

if not _G.DISTRIBUTION then
	local pref = require 'KSPrefs'.WFOzPurgeSettings_minimumSpaceOverride
	if pref and type( pref ) == 'number' and pref >= 0 then
		minimumSpaceInMB = pref
	end
end

--------------------------------------------------------------------------------

--[[!
    \brief Reports the minimum free space required by the Oz server.
	\return (number) The free minimum free space, in bytes.
]]--
function WFOzPurgeSettings.minimumFreeSpace()

	return minimumSpaceInMB * 1024 * 1024

end

--------------------------------------------------------------------------------

return WFOzPurgeSettings
