--[[----------------------------------------------------------------------------

WFSqliteDatabaseImpTest.lua

@author scouten 2011-01-11
@reviewed mhamburg 2011-03-14

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

local WFSqliteDatabaseImpTest = {}

local WFSqliteDatabaseImp = require 'WFSqliteDatabaseImp'

local db -- valid from setUp to tearDown

--------------------------------------------------------------------------------

function WFSqliteDatabaseImpTest.setUp()

	db = WFSqliteDatabaseImp.makeDatabase ':memory:'

end

--------------------------------------------------------------------------------

function WFSqliteDatabaseImpTest.tearDown()

	if db then
		db:close()
		db = nil
	end

end

--------------------------------------------------------------------------------

function WFSqliteDatabaseImpTest.testSimpleQuery()

	db:exec "CREATE TABLE foo( a, b, c )"
	
	db:exec "INSERT INTO foo VALUES( 4, 5, 6 )"
	db:exec "INSERT INTO foo VALUES( 1, 2, 3 )"

	local stmt = db:prepare "SELECT a, b, c FROM foo ORDER BY a"

	local a, b, c = stmt:stepValues()
	assert( a == 1 )
	assert( b == 2 )
	assert( c == 3 )
	
	a, b, c = stmt:stepValues()
	assert( a == 4 )
	assert( b == 5 )
	assert( c == 6 )
	
	a, b, c = stmt:stepValues()
	assert( a == nil )
	assert( b == nil )
	assert( c == nil )
		
end

--------------------------------------------------------------------------------

return WFSqliteDatabaseImpTest
