--[[----------------------------------------------------------------------------

WFWorkspace.lua


--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2012 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

@author ktieskoe 2012-03-16

----------------------------------------------------------------------------]]--


--============================================================================--
--[[!
	\class WFWorkspace
	\brief This namespace provides an interface to file-handling and
		process-handling OS functionality.
]]--

-- @mark WFWorkspace namespace

	-- core.os
local WFWorkspaceImp = require 'WFWorkspaceImp'

local WFWorkspace = {}



--------------------------------------------------------------------------------
--[[!
	\brief Mac OS only. Opens a file's parent folder in Finder
		and highlights the file.  Does nothing in iOS or Windows.
	
	\param filePath (string) The absolute path to the file.
	
	\return Nothing
]]--

function WFWorkspace.showFileInFinder( --[[string]] filePath )
	return WFWorkspaceImp.showFileInFinder( filePath )
end

--------------------------------------------------------------------------------

return WFWorkspace
